V2 D1Object fails to download V1 content
Status: Testing Start date: 2015-09-28

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 50%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: CLJ-2.0.0   

Story Points:    

Description

During testing of services in the mixed V1/V2 DEV2 environment, D1Object fails to download content listed in the ObjectLocationList

from a V1-only Member Node.  The symptom is a null pointer exception when trying to close a non-existent temporary file where the

bytes of the object should have been located.  Fix download() to call V1 endpoints on V1-only MNs.

Associated revisions

Revision 16467 - 2015-09-28 17:29 - Chris Jones

Fix D1Object.download() to only call REST endpoints that are available on the source MN.  In this case, when calling get(), determine if V2 is

supported.  If not, fall back to V1.  refs #7389

Revision 16467 - 2015-09-28 17:29 - Chris Jones

Fix D1Object.download() to only call REST endpoints that are available on the source MN.  In this case, when calling get(), determine if V2 is

supported.  If not, fall back to V1.  refs #7389

History

#1 - 2015-09-28 17:50 - Chris Jones

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

I've changed download() to talk V1 if needed.

Powered by TCPDF (www.tcpdf.org)

2024-03-13 1/1

http://www.tcpdf.org

